Bug 12653 - Удалить menu-файл из пакета
: Удалить menu-файл из пакета
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xmms)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-08-30 09:39 by
Modified: 2009-05-10 09:33 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-08-30 09:39:58
Т.к. в пакете xmms уже есть desktop-файл, то menu-файл становится ненужным и
даже более того - мешает (в частности из-за него xmms попадает сразу в два
раздела меню -- в Видео и в Звук).
------- Comment #1 From 2007-08-30 09:44:05 -------
P.S. При этом очень желательно также поправить Cetrgories в desktop файле:
s/AudioVideo/Audio/, чтобы в результате xmms  попадал в подменю Звук (вместо
Видео).
------- Comment #2 From 2007-08-30 09:52:14 -------
Сто раз же сказали.
Audio	An audio application	Desktop entry must include AudioVideo as well
------- Comment #3 From 2007-08-30 10:05:31 -------
(In reply to comment #2)
> Сто раз же сказали.
> Audio	An audio application	Desktop entry must include AudioVideo as well

Мало ли что сказали... У меня не работает, как говорят. А вот так -- работает.
------- Comment #4 From 2007-08-30 10:10:31 -------
Andrey Rahmatullin - проблема с desktop, как я понимаю в том, что-бы файлы 
попадали именно в Аудио, а не в Видео (IceWM и прочее) и не улетали в прочее 
(KDE).

Теоретически должно стоять :
AudioVideo;Audio;Player;

Хотя рассматривая фразу:
Player Application to play audio/video files    Audio or Video or AudioVideo
Не могу понять союз OR - или тут жёсткий, или мягкий (ИЛИ/И).
Вот у MIDI чётко :
Midi  An app related to MIDI   AudioVideo; Audio
------- Comment #5 From 2007-08-30 10:15:13 -------
(In reply to comment #3)
> > Audio	An audio application	Desktop entry must include AudioVideo 
as well
> Мало ли что сказали...
Т.е. ты намеренно нарушаешь спецификацию, "чтобы работало"?

(In reply to comment #4)
> Andrey Rahmatullin - проблема с desktop, как я понимаю в том, что-бы файлы 
> попадали именно в Аудио, а не в Видео (IceWM и прочее) и не улетали в прочее 
> (KDE).
Я понимаю. Я всё ещё не понимаю, зачем для этого курочить десктоп-файлы.

> Хотя рассматривая фразу:
> Player Application to play audio/video files    Audio or Video or AudioVideo
> Не могу понять союз OR - или тут жёсткий, или мягкий (ИЛИ/И).
По всей видимости, здесь под Audio подразумевается AudioVideo;Audio, а под 
AudioVideo только оно.
------- Comment #6 From 2007-08-30 11:33:12 -------
(In reply to comment #5)
> (In reply to comment #3)
> > Мало ли что сказали...
> Т.е. ты намеренно нарушаешь спецификацию, "чтобы работало"?

Да. И что?
------- Comment #7 From 2007-08-30 11:54:48 -------
(In reply to comment #6)
> > > Мало ли что сказали...
> > Т.е. ты намеренно нарушаешь спецификацию, "чтобы работало"?
> Да. И что?
В топку пройди с такими предложениями.
------- Comment #8 From 2007-08-30 11:56:40 -------
(In reply to comment #7)
> (In reply to comment #6)
> > > > Мало ли что сказали...
> > > Т.е. ты намеренно нарушаешь спецификацию, "чтобы работало"?
> > Да. И что?
> В топку пройди с такими предложениями.

Твоё предложение ещё  менее конструктивно, чем моё. И вдобавок оффтопично. Не
стОит переходить на личности.
------- Comment #9 From 2007-08-30 11:59:54 -------
(In reply to comment #8)
> Твоё предложение ещё  менее конструктивно, чем моё. И вдобавок оффтопично. Не
> стОит переходить на личности.
Тебе русским языком сказали, где ошибка. Кроме того, ты осознаёшь, что на пакет 
с 
невалидным .desktop тоже будет повешена бага, причём с более высоким severity?
------- Comment #10 From 2007-08-30 12:06:12 -------
Андрей, пусть мэйнтейнер решает как исправлять это и надо ли вообще что-то
делать. Я лишь сообщил о баге и привёл некоторый рецепт, который работает у
меня. Если Миша сделает как-то иначе и это будет работать, то хорошо, если
после
исправления у меня это работать не будет, но при этом будет соблюдена некая
спецификация, то я поставлю xmms на hold.
------- Comment #11 From 2007-08-30 12:08:58 -------
(In reply to comment #10)
> если после
> исправления у меня это работать не будет, но при этом будет соблюдена некая
> спецификация, то я поставлю xmms на hold.
ССЗБ. Тебе сказали, на что вешать багу, чтобы работало у тебя.
------- Comment #12 From 2007-08-30 23:23:45 -------
(In reply to comment #9)
> Тебе русским языком сказали, где ошибка. Кроме того, ты осознаёшь, что на пакет 
> с  невалидным .desktop тоже будет повешена бага, причём с более высоким severity?

Вот козлы.  Я не про вас обоих, я про красавцев из fd.o, которые додумались
пхать AV к A в обязательном порядке...

=> fixed in 1.2.10-alt14
------- Comment #13 From 2007-08-31 14:37:56 -------
(In reply to comment #12)
> пхать AV к A в обязательном порядке...
Это нормально. Без AudioVideo в KDE-шном меню не попадет, куда надо.
Cantgories=AudioVideo;Audio;Player;
------- Comment #14 From 2007-08-31 14:38:21 -------
(In reply to comment #13)
> Cantgories=AudioVideo;Audio;Player;
Categories=AudioVideo;Audio;Player;

------- Comment #15 From 2007-08-31 16:07:15 -------
Серж, я ж не про "KDE-шное меню", а про умников из fd.o, которые это в спек
зачем-то сунули... моей логики на понимание, зачем "мы с тамаром" обязательно
должны "ходить паром", не хватает (спецификацию ещё толком не читал).

Другое дело, что _конкретно_ xmms-1.x всё-таки является и видеоплейером, в
отличие от 2.x и многих других audio only player.

Я подумал и оставил Categories=AudioVideo;Player; (как в PLD).  Добавить назад
Audio так, как ты показал? (и является ли это основанием для alt15 -- или
обождёт до следующей сборки?)
------- Comment #16 From 2007-08-31 19:22:20 -------
По мотивам обсуждения в devel@ добито в 1.2.10-alt15 (AV;A;P).

Rationale: несмотря на то, что при AV в .desktop (что будто сообразно с
сущностью xmms) оно попадает в V в меню; пользователи скорее ожидают в A в
меню,
поэтому в .desktop сделано AV;A;.

Менюфайлы пока не выкидываю за отсутствием смысла (вдруг понадобится бэкпорт --
сложней будет).